KeyRep.Type (Java SE 12 & JDK 12 )
Keywords: java.security.KeyRep.Type class

Module java.base
Package java.security

## Enum KeyRep.Type

- java.lang.Object
- - java.lang.Enum<KeyRep.Type>
  - - java.security.KeyRep.Type

- All Implemented Interfaces:
    `Serializable`, `Comparable<KeyRep.Type>`, `Constable`
  Enclosing class:
    KeyRep

      public static enum KeyRep.Type
      extends Enum<KeyRep.Type>

  Key type.
  Since:
    1.5

- - ### Nested Class Summary

    - ### Nested classes/interfaces declared in class java.lang.Enum

      `Enum.EnumDesc<E extends Enum<E>>`

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `PRIVATE` | Type for private keys.
    `PUBLIC` | Type for public keys.
    `SECRET` | Type for secret keys.

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `static KeyRep.Type` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static KeyRep.Type[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods declared in class java.lang.Enum

      `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods declared in class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SECRET

          public static final KeyRep.Type SECRET

      Type for secret keys.

    - #### PUBLIC

          public static final KeyRep.Type PUBLIC

      Type for public keys.

    - #### PRIVATE

          public static final KeyRep.Type PRIVATE

      Type for private keys.

  - ### Method Detail

    - #### values

          public static KeyRep.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared.
      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static KeyRep.Type valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null